import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.net.*;

public class ClientControl extends Frame
    implements ActionListener
{      
    InetAddress shost;
    int         sport;
    TextField tf;
    
    public ClientControl() {
 
	Panel p = new Panel();
	tf = new TextField("", 20);
	tf.addActionListener(this);
	p.add(tf);

	add(p, "North");

	try{
	    getHostNamePort();
	}catch(IOException e){
	    e.printStackTrace();
	}
    }
   
    public void actionPerformed(ActionEvent evt) {
	String tfvalue = tf.getText().trim();
	sendObject(tfvalue);
    }
  
    public void getHostNamePort() throws IOException{
	//hardcoding, need improve..................
	shost = InetAddress.getByName("birch.csit.fsu.edu");  
	sport = 8585;
    }

    public void sendObject(String data){        
	Socket socket = null;
	BufferedOutputStream ds = null;
	String datatype = null;
	byte[] databyte = null;
    
	try{
	    socket = new Socket(shost,sport);
	    ds =  new BufferedOutputStream(socket.getOutputStream());
	}catch(Exception e){        
	    System.out.println("err");
	}

	try{    
        
	    System.out.println("Begin write ...........");
	    datatype = "1\n";
	    databyte = datatype.getBytes();
	    ds.write(databyte, 0, databyte.length);
	    ds.flush();

	    databyte = data.getBytes();
	    ds.write(databyte, 0, databyte.length);
	    ds.flush();    
	    System.out.println("End write");        
	    ds.close();
	    socket.close();
	}catch(Exception e){        
	    e.printStackTrace();
	    System.out.println("err");
	}    
    }
    
    public static void main(String[] args)
    {
	Frame f = new ClientControl();
	f.setResizable(true);
	f.setSize(400,400);
	f.setVisible(true);
	//f.show();
    }
    
}






